library(rpart)
library(corrplot)

setwd("//aa.ad.epa.gov/ORD/CIN/USERS/MAIN/L-P/LSchifma/Net MyDocuments/PROJECTS/Schifman - Black Carbon/BC_R_Analysis")

CART_Layer1 <- read.csv("//aa.ad.epa.gov/ORD/CIN/USERS/MAIN/L-P/LSchifma/Net MyDocuments/PROJECTS/Schifman - Black Carbon/BC_R_Analysis/CART_Layer1.csv")
names(CART_Layer1)
CART_Layer1_2<-CART_Layer1[,-c(22)]
names(CART_Layer1_2)

cor(CART_Layer1_2)->M
corrplot(M, method="ellipse")
toss<-CART_Layer1_2[,c(21,22,15,16,18,7,8,9,10,26,6,2)]
names(toss)
CART_Layer1_2<-CART_Layer1_2[,-c(21,22,15,16,18,7,8,9,10,26,6,2)]
names(CART_Layer1_2)

spac.tree1 = rpart(BC_mgg1 ~ ., data = CART_Layer1_2)
names(spac.tree1)
spac.tree1$cptable

rsq.rpart(spac.tree1)
printcp(spac.tree1)

plot(spac.tree1,compress=T, branch=0.25,margin=0.1,main="Horizon 1")
text(spac.tree1, use.n=T,minlength=0.5)


spac.tree1$cptable[which.min(spac.tree1$cptable[,"xerror"]),"CP"]

prune(spac.tree1, cp = 0.015)->spac.tree1_2

rsq.rpart(spac.tree1_2)
printcp(spac.tree1_2)

plot(spac.tree1_2,compress=T, branch=0.25,margin=0.1,main="Horizon 1")
text(spac.tree1_2, use.n=T,minlength=0.5)


library(ggplot2)
library(scales)

ggplot(CART_Layer1, aes(x=BC_mgg1, y=Unsaturated_K2cm_cmhr*10)) +
  geom_point(aes(size=BC_mgg1, col=Unsaturated_K2cm_cmhr)) +
  theme_bw() +
  labs(y="Infiltration Rate (mm/hr)", 
       x="Black Carbon (mg/g)", 
          color = expression(K[unsat]~ (mm~hr^{-1})),
       size="Black Carbon (mg/g)") +
  scale_color_gradientn(colours = c("red","light blue","dark blue"), 
                         values = rescale(c(0,1.3,10)),
                         guide = "colorbar", limits=c(0,19))
  
ggsave(filename="Figure4.tiff", dpi=600)


#########################################LAYER 2
CART_Layer2 <- read.csv("//aa.ad.epa.gov/ORD/CIN/USERS/MAIN/L-P/LSchifma/Net MyDocuments/PROJECTS/Schifman - Black Carbon/BC_R_Analysis/CART_Layer2.csv")

names(CART_Layer2)
CART_Layer1$Total_HorizonDepth_cm1->hzdepth1
cbind(CART_Layer2, hzdepth1)->CART_Layer2_2
names(CART_Layer2_2) 

toss<-CART_Layer2_2[,c(1,37,39,40,34,8,9,10,12,13,15,16,17,18,19,22,20,21,23)]
names(toss)
CART_Layer2_2<-CART_Layer2_2[,-c(1,37,39,40,34,8,9,10,12,13,15,16,17,18,19,22,20,21,23)]

cor(CART_Layer2_2)->M2
corrplot(M2, method="ellipse")

spac.tree2 = rpart(BC_mgg2 ~ ., data = CART_Layer2_2)
names(spac.tree2)
spac.tree2$cptable[1:5, ]

rsq.rpart(spac.tree2)
printcp(spac.tree2)

plot(spac.tree2,uniform=T,compress=F, branch=0.25,margin=0.1,main="Horizon 2")
text(spac.tree2, use.n=T,minlength=0.5)

cp2<-spac.tree2$cptable[which.min(spac.tree2$cptable[,"xerror"]),"CP"]

prune(spac.tree2, cp = 0.015)->spac.tree2_2

rsq.rpart(spac.tree2_2)
printcp(spac.tree2_2)


plot(spac.tree2_2,uniform=T,compress=F, branch=0.25,margin=0.1,main="Horizon 2")
text(spac.tree2_2, use.n=T,minlength=0.5)




